$(document).ready(function() {

	%[if %("%id=position%" == "absolute")% ]%
	// Append the ShareStack to the page body tag
	$("#shareStackWrapper%id%").appendTo('body');
	%[endif]%

	%[if %("%id=position%" == "fixed")% ]%
	// Append the ShareStack to the page body tag
	$("#shareStackWrapper%id%").appendTo('body');
	%[endif]%

	%[if %("%id=sharestackdisplay%" == "displayonpagescroll")% ]%
	// Function to fade in the ShareStack on page scroll
    $(window).scroll(function () {
        if ($(this).scrollTop() > %id=scrolldistance%) {
            $('#shareStackWrapper%id%').fadeIn(300);
        } else {
            $('#shareStackWrapper%id%').fadeOut(300);
        }
    });
	%[endif]%

	%[if %("%id=sharestackdisplay%" == "displayonpageend")% ]%
	// Function to fade in the ShareStack at the end of the page
	$(window).scroll(function() {
		if($(window).scrollTop() + $(window).height() == $(document).height()) {
			$('#shareStackWrapper%id%').fadeIn(300);
		} else {
		    $('#shareStackWrapper%id%').fadeOut(300);
		}
	});
	%[endif]%


	// Helpers
	// Fetch current window URL
	var url = window.location;

	// Baidu helper
	$("#shareStackWrapper%id% .baiduHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://cang.baidu.com/do/add?iu='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://cang.baidu.com/do/add?iu="+url;
		%[endif]%
	});

	// Blogger helper
	$("#shareStackWrapper%id% .bloggerHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.blogger.com/blog-this.g?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.blogger.com/blog-this.g?u="+url;
		%[endif]%
	});

	// Delicious helper
	$("#shareStackWrapper%id% .deliciousHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://delicious.com/save?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://delicious.com/save?url="+url;
		%[endif]%
	});

	// Digg helper
	$("#shareStackWrapper%id% .diggHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://digg.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://digg.com/submit?url="+url;
		%[endif]%
	});

	// Email helper
	$("#shareStackWrapper%id% .emailHelper").click(function(e){
		e.preventDefault();
		window.location = 'mailto:?&body='+url;
	});

	// Facebook helper
	$("#shareStackWrapper%id% .facebookHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.facebook.com/sharer/sharer.php?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.facebook.com/sharer/sharer.php?u="+url;
		%[endif]%
	});

	// Google+ helper
	$("#shareStackWrapper%id% .googleplusHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://plus.google.com/share?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://plus.google.com/share?url="+url;
		%[endif]%
	});

	// LinkedIn helper
	$("#shareStackWrapper%id% .linkedinHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.linkedin.com/shareArticle?mini=true&url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.linkedin.com/shareArticle?mini=true&url="+url;
		%[endif]%
	});

	// LiveJournal helper
	$("#shareStackWrapper%id% .livejournalHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.livejournal.com/update.bml?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.livejournal.com/update.bml?url="+url;
		%[endif]%
	});

	// MySpace helper
	$("#shareStackWrapper%id% .myspaceHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.myspace.com/Modules/PostTo/Pages/?u='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.myspace.com/Modules/PostTo/Pages/?u="+url;
		%[endif]%
	});

	// Odnoklassniki helper
	$("#shareStackWrapper%id% .odnoklassnikiHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://connect.odnoklassniki.ru/dk?st.cmd=WidgetShare&st.shareUrl='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://connect.odnoklassniki.ru/dk?st.cmd=WidgetShare&st.shareUrl="+url;
		%[endif]%
	});

	// Pocket helper
	$("#shareStackWrapper%id% .pocketHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://getpocket.com/save?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://getpocket.com/save?url="+url;
		%[endif]%
	});

	// Reddit helper
	$("#shareStackWrapper%id% .redditHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://reddit.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://reddit.com/submit?url="+url;
		%[endif]%
	});

	// Renren helper
	$("#shareStackWrapper%id% .renrenHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://share.renren.com/share/buttonshare.do?link='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://share.renren.com/share/buttonshare.do?link="+url;
		%[endif]%
	});

	// Stumbleupon helper
	$("#shareStackWrapper%id% .stumbleuponHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.stumbleupon.com/submit?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.stumbleupon.com/submit?url="+url;
		%[endif]%
	});

	// Telegram helper
	$("#shareStackWrapper%id% .telegramHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://telegram.me/share/url?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://telegram.me/share/url?url="+url;
		%[endif]%
	});

	// Tumblr helper
	$("#shareStackWrapper%id% .tumblrHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.tumblr.com/share/link?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.tumblr.com/share/link?url="+url;
		%[endif]%
	});

	// Twitter helper
	$("#shareStackWrapper%id% .twitterHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://twitter.com/share?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://twitter.com/share?url="+url;
		%[endif]%
	});

	// Viadeo helper
	$("#shareStackWrapper%id% .viadeoHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.viadeo.com/fr/widgets/share/preview?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.viadeo.com/fr/widgets/share/preview?url="+url;
		%[endif]%
	});

	// VKontakteLink helper
	$("#shareStackWrapper%id% .vkontakteHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://vk.com/share.php?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://vk.com/share.php?url="+url;
		%[endif]%
	});

	// Weibo helper
	$("#shareStackWrapper%id% .weiboHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://service.weibo.com/share/share.php?url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://service.weibo.com/share/share.php?url="+url;
		%[endif]%
	});

	// Xing helper
	$("#shareStackWrapper%id% .xingHelper").click(function(e){
		e.preventDefault();
		%[if %("%id=newtabs%" == "true")% ]%
		window.open('https://www.xing-share.com/app/user?op=share;sc_p=xing-share;url='+url);
		%[endif]%
		%[if %("%id=newtabs%" == "false")% ]%
		window.location = "https://www.xing-share.com/app/user?op=share;sc_p=xing-share;url="+url;
		%[endif]%
	});

});
